### Method

# Gimp ProcedureConfig set_color_array

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_config_set_color_array (
      GimpProcedureConfig* config,
      const gchar* property_name,
      GeglColor** colors,
      gsize n_colors
    )

#### Description [src]

A function for bindings to set a `GimpColorArray` property. Setting these with `g_object_set()` or `g_object_set_property()` won’t work for the time being so all our boxed array types must be set and get using these alternative functions instead.

C plug-ins should just use `g_object_set()`.

Available since: 3.0

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of a `GParamSpecBoxed` param spec with `GimpColorArray` value type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`colors`

  Type: An array of `GeglColor*`

  An array of `GeglColor`.

  The length of the array is specified in the `n_colors` argument.
  The data is owned by the caller of the method.

`n_colors`

  Type: `gsize`

  The numbers of `colors`.